Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.puremvc.java.patterns.mediator
Class Mediator

    java.lang.Object
      org.puremvc.java.patterns.observer.Notifier
          org.puremvc.java.patterns.mediator.Mediator

All Implemented Interfaces:
  IMediator, INotifier

    public class Mediator

extends Notifier
implements IMediator, INotifier

A base `IMediator` implementation.

See Also:
  `View`

Field Summary
`protected java.lang.String` | `mediatorName` The name of the `Mediator`.
`static java.lang.String` | `NAME` The default name of the `Mediator`.
`protected java.lang.Object` | `viewComponent` The view component

Fields inherited from class org.puremvc.java.patterns.observer.Notifier
`facade`

Constructor Summary
`Mediator(java.lang.String mediatorName, java.lang.Object viewComponent)` Constructor.

Method Summary
`java.lang.String` | `getMediatorName()` Get the name of the `Mediator`.
`java.lang.Object` | `getViewComponent()` Get the `Mediator`'s view component.
`void` | `handleNotification(INotification notification)` Handle `INotification`s.
`java.lang.String[]` | `listNotificationInterests()` List the `INotification` names this `Mediator` is interested in being notified of.
`void` | `onRegister()` Called by the View when the Mediator is registered
`void` | `onRemove()` Called by the View when the Mediator is removed
`void` | `setViewComponent(java.lang.Object viewComponent)` Set the `IMediator`'s view component.

Methods inherited from class org.puremvc.java.patterns.observer.Notifier
`sendNotification, sendNotification, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.puremvc.java.interfaces.INotifier
`sendNotification, sendNotification, sendNotification`

Field Detail

### NAME

    public static final java.lang.String NAME

  The default name of the `Mediator`.

  See Also:
    Constant Field Values

### mediatorName

    protected java.lang.String mediatorName

  The name of the `Mediator`.

### viewComponent

    protected java.lang.Object viewComponent

  The view component

Constructor Detail

### Mediator

    public Mediator(java.lang.String mediatorName,
                    java.lang.Object viewComponent)

  Constructor.

  Parameters:
    `mediatorName` -
    `viewComponent` -

Method Detail

### getMediatorName

    public final java.lang.String getMediatorName()

  Get the name of the `Mediator`.

  Specified by:
    `getMediatorName` in interface `IMediator`
  Returns:
    the name

### setViewComponent

    public void setViewComponent(java.lang.Object viewComponent)

  Set the `IMediator`'s view component.

  Specified by:
    `setViewComponent` in interface `IMediator`
  Parameters:
    `viewComponent` - The view component

### getViewComponent

    public java.lang.Object getViewComponent()

  Get the `Mediator`'s view component.

  Additionally, an implicit getter will usually be defined in the subclass that casts the view object to a type, like this:

       private function get comboBox : mx.controls.ComboBox { return
       viewComponent as mx.controls.ComboBox; }

  Specified by:
    `getViewComponent` in interface `IMediator`
  Returns:
    the view component

### handleNotification

    public void handleNotification(INotification notification)

  Handle `INotification`s.

  Typically this will be handled in a switch statement, with one 'case' entry per `INotification` the `Mediator` is interested in.

  Specified by:
    `handleNotification` in interface `IMediator`
  Parameters:
    `notification` -

### listNotificationInterests

    public java.lang.String[] listNotificationInterests()

  List the `INotification` names this `Mediator` is interested in being notified of.

  Specified by:
    `listNotificationInterests` in interface `IMediator`
  Returns:
    String[] the list of `INotification` names

### onRegister

    public void onRegister()

  Called by the View when the Mediator is registered

  Specified by:
    `onRegister` in interface `IMediator`

### onRemove

    public void onRemove()

  Called by the View when the Mediator is removed

  Specified by:
    `onRemove` in interface `IMediator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD